# $Id: chrooted.spec,v 1.8 2004/04/05 11:03:57 ldv Exp $

Name: chrooted
Version: 0.3.1
Release: alt1

Summary: The chrooted environment helper
License: GPL
Group: File tools
BuildArch: noarch

%define _chrootdir %_sysconfdir/chroot.d

Source: %name-%version.tar.gz

Provides: %_chrootdir
Requires: coreutils, gawk, getopt, glibc-utils, grep

BuildPreReq: help2man

%description
This package is required for chroot-aware packages.

%prep
%setup -q

%build
%__subst -p 's/@VERSION@/%version/g' -- update_chrooted
help2man -N -s8 ./update_chrooted >update_chrooted.8

%install
%__mkdir_p $RPM_BUILD_ROOT{/sbin,%_sbindir,%_man8dir,%_chrootdir}
%__install -pm755 update_chrooted $RPM_BUILD_ROOT/sbin/
%__ln_s ../../sbin/update_chrooted $RPM_BUILD_ROOT%_sbindir/
%__install -pm755 functions $RPM_BUILD_ROOT%_chrootdir/
%__install -p -m644 update_chrooted.8 $RPM_BUILD_ROOT%_man8dir/

# Generate shell functions provides list.
(
	echo '# shell functions provides list'
	for f in $RPM_BUILD_ROOT%_chrootdir/*; do
		[ -x "$f" ] || continue
		sed -ne 's/^\([A-Za-z][A-Za-z_0-9]*[[:space:]]*\)()$/\1/pg' "$f"
	done |LC_COLLATE=C sort -u
) >$RPM_BUILD_ROOT%_chrootdir/.provides.sh

%post
/sbin/update_chrooted lib conf

%files
/sbin/*
%_sbindir/*
%_man8dir/*
%config %_chrootdir

%changelog
* Wed Mar 31 2004 Dmitry V. Levin <ldv@altlinux.org> 0.3.1-alt1
- functions/CopyLibs:
  + fix readlink usage for coreutils >= 5.2.1-alt3.
- functions/copy_resolv_conf:
  + attempt to copy /var/nis/NIS_COLD_START file only if it exists.
- updated_chrooted: added --list option.

* Sun Feb 15 2004 Dmitry V. Levin <ldv@altlinux.org> 0.3-alt1
- updated_chrooted: added more options and document them.
- chroot.d/functions:
  + parse common options;
  + optimized getopt handling code;
  + added functions: Info, Verbose;
  + added functions: copy_resolv_conf, copy_resolv_lib.
- Added %_chrootdir/.provides.sh file.
- Added updated_chrooted(8) manpage.

* Mon Nov 25 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.1-alt1
- updated_chrooted: propagate --force option to scripts.
- chroot.d/functions:
  + added comments (#0001443);
  + added Fatal() function;
  + Copy(): use cp(1) for simple cases, install(1) for others.

* Wed Sep 25 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt4
- Provides: %_sysconfdir/chroot.d

* Tue Apr 16 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt3
- update_chrooted: exit during install.

* Tue Apr 16 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt2
- update_chrooted: relocated from %_sbindir/ to /sbin/
  (compatibility symlink created).

* Sat Apr 13 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt1
- chrooted_functions/CopyLibs(): when in Copy mode,
  call Copy (by default) in "-m 755" mode.
- Updated package requires.

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 0.1-ipl5
- chrooted_functions/Copy(): really skip missing source files.

* Fri Feb 16 2001 Dmitry V. Levin <ldv@fandra.org> 0.1-ipl4
- chrooted_functions/Copy(): allow empty exe list, be less verbose.

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 0.1-ipl3
- chrooted_functions/Copy(): skip missing source files.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.1-ipl2
- chrooted_functions/CopyLibs(): skip missing libraries.

* Mon Jan 29 2001 Dmitry V. Levin <ldv@fandra.org> 0.1-ipl1
- Initial revision.
